import type { PluginStore, RsbuildPlugin, RsbuildPluginAPI } from './types';
export declare function createPluginStore(): PluginStore;
export declare const pluginDagSort: (plugins: RsbuildPlugin[]) => RsbuildPlugin[];
export declare function initPlugins({ pluginAPI, pluginStore, }: {
    pluginAPI?: RsbuildPluginAPI;
    pluginStore: PluginStore;
}): Promise<void>;
